%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Compress-Zlib

Summary: 	Compress-Zlib module for perl
Name: 		perl-Compress-Zlib
Version: 	2.008
Release: 	7.3
License: 	distributable
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/dist/Compress-Zlib/


Source: 	http://www.cpan.org/modules/by-module/Compress/Compress-Zlib-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: 	perl >= 0:5.004, zlib-devel >= 1.0.2
Requires: 	perl >= 0:5.004, zlib >= 1.0.2

%description
Compress-Zlib module for perl

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/Compress/
%{perl_vendorlib}/Compress/Zlib.pm
%{perl_vendorlib}/auto/Compress/Zlib/autosplit.ix

%changelog
* Sun Apr 02 2006 VHCS Packager <vhcs@j0ke.net>
- initial release

